import 'dart:math';

class ChartMaxAndInterval {
  late num maxY;
  late num interval;

  ChartMaxAndInterval() {
    maxY = 1;
    interval = 1;
  }
}

typedef AmountCondition = num Function(dynamic item);

class ChartCalculateUtils {
  static ChartMaxAndInterval calculateChart<T>(List<T> statics, AmountCondition condition, num minMaxY, num minInterval) {
    ChartMaxAndInterval ret = ChartMaxAndInterval();
    for(T item in statics) {
      num value = condition(item);
      if(value > ret.maxY) {
        ret.maxY = value;
      }
    }

    num count = (minMaxY / minInterval);
    ret.maxY = max(ret.maxY, minMaxY);

    ret.interval = (ret.maxY / count);

    return ret;
  }
}