// ignore_for_file: use_key_in_widget_constructors

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class OutLineTextLabel extends StatelessWidget {
  const OutLineTextLabel(
    this.text, {
    this.color,
    this.radius,
    this.fontSize,
  });

  final String text;
  final Color? color;
  final double? radius;
  final double? fontSize;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 64.w,
      height: 20.h,
      alignment: Alignment.center,
      decoration: BoxDecoration(
        color: Colors.transparent,
        borderRadius: BorderRadius.all(Radius.circular(radius ?? 4.r)),
        border: Border.all(color: color ?? const Color(0xFF6BC079)),
      ),
      child: Text(text, style: TextStyle(color: color ?? const Color(0xFF6BC079), fontSize: fontSize ?? 12.sp)),
    );
  }
}
